بكسل

GET https://hawiyaads.com/api/pixels/
curl --request GET \
--url 'https://hawiyaads.com/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
حدود تفاصيل وصف
search خياري خيط سلسلة البحث.
search_by خياري خيط ما المجال الذي تبحث عنه. القيم المسموح بها هي:name, pixel.
type خياري خيط القيم المسموح بها:facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat
datetime_field خياري خيط القيم المسموح بها:datetime, last_datetime
datetime_start خياري خيط تصفية النتائج بدءًا من هذا التاريخ. تنسيقY-m-d H:i:s.
datetime_end خياري خيط تصفية النتائج حتى هذا التاريخ. تنسيقY-m-d H:i:s.
order_by خياري خيط ما المجال الذي سيتم ترتيب النتائج به. القيم المسموح بها هي:pixel_id, datetime, last_datetime, name.
order_type خياري خيط ترتيب النتائج. القيم المسموح بها هي:ASCللترتيب التصاعدي، وDESCللترتيب التنازلي.
page خياري عدد صحيح رقم الصفحة التي تريد الحصول على النتائج منها. الإعدادات الافتراضية هي1.
results_per_page خياري عدد صحيح كم عدد النتائج التي تريدها لكل صفحة. القيم المسموح بها هي:10, 25, 50, 100, 250, 500, 1000. الإعدادات الافتراضية هي25.
{
    "data": [
        {
            "id": 1,
            "type": "facebook",
            "name": "Fb Ads",
            "pixel": "1234567",
            "last_datetime": null,
            "datetime": "2026-07-28 19:36:22",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://hawiyaads.com/api/pixels?page=1",
        "last": "https://hawiyaads.com/api/pixels?page=1",
        "next": null,
        "prev": null,
        "self": "https://hawiyaads.com/api/pixels?page=1"
    }
}
GET https://hawiyaads.com/api/pixels/{pixel_id}
curl --request GET \
--url 'https://hawiyaads.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "type": "facebook",
        "name": "Fb Ads",
        "pixel": "1234567",
        "last_datetime": null,
        "datetime": "2026-07-28 19:36:22",
    }
}
POST https://hawiyaads.com/api/pixels
حدود تفاصيل وصف
type مطلوب خيط القيم المسموح بها:facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat
name مطلوب خيط -
pixel مطلوب خيط -
curl --request POST \
--url 'https://hawiyaads.com/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
    "data": {
        "id": 1
    }
}
POST https://hawiyaads.com/api/pixels/{pixel_id}
حدود تفاصيل وصف
type خياري خيط القيم المسموح بها:facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat
name خياري خيط -
pixel خياري خيط -
curl --request POST \
--url 'https://hawiyaads.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
    "data": {
        "id": 1
    }
}
DELETE https://hawiyaads.com/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://hawiyaads.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \